Draft Courbe de Bézier

From FreeCAD Documentation
Revision as of 14:57, 9 August 2014 by Mario52 (talk | contribs) (Created page with "# Cliquez le bouton {{KEY|16px Draft BezCurve}}, ou pressez les touches {{KEY|B}} et {{KEY|Z}}. # Cliquez le premier point ...")

Draft BezCurve

Emplacement du menu
Draft -> BezCurve
Ateliers
Draft, Arch
Raccourci par défaut
B Z
Introduit dans la version
-
Voir aussi
Aucun

Description

L'outil BezCurve crée une courbe de Bezier (ou une partie de courbe de Bézier) à partir de plusieurs points dans le plan de travail courant. La courbe prend les attributs de ligne et couleur définis dans Linestyle.

L'objet est créé en une simple courbe de Bézier (nombre de points - 1). Il peut être modifié partiellement après sa création en utilisant l'éditeur de propriétés. Les courbes de Bézier peuvent être modifiées à l'aide Draft Edit.

Utilisation

  1. Cliquez le bouton Draft BezCurve, ou pressez les touches B et Z.
  2. Cliquez le premier point dans la vue 3D, ou tapez les coordonnées
  3. Cliquez un point additionnel dans la vue 3D, ou tapez les coordonnées
  4. Pressez les touches F ou C, ou double-cliquez le dernier point, ou cliquez sur le premier point pour terminer et fermer la courbe.

Options

  • Press F or the Finish button to finish the spline, leaving it open
  • Press C or the Close button or click on the first point to finish the spline, but making it closed by adding a last segment between the last point and the first one.
  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the BezCurve tool will restart after you finish or close it, allowing you to draw another one without pressing the BezCurve button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press W or press the Wipe button to remove the existing segments and start the spline from the last point.
  • Press CTRL+Z or press the Undo button to undo the last point.
  • Press ESC or the Cancel button to abort the current BezCurve command.

Properties

  • DonnéesClosed: Specifies if the Bezier Curve is closed or not
  • DonnéesDegree: Specifies the degree of the Bezier Curve (or segments)

Scripting

The BezCurve tool can by used in macros and from the python console by using the following function:

makeBezCurve(pointslist,[closed],[placement],[support],[degree])
  • Create a Bezier Curve object from the given list of vectors. Instead of a pointslist, you can also pass a Part Wire.

Example:

import FreeCAD,Draft
myFeature = Draft.makeBezCurve(Draft.makeBezCurve(points,False)

Contraining Nodes

The segment endpoints in a piecewise Bezier Curve can be constrained such that adjacent control points are tangent or symmetric to the segments at the endpoint. This is done after object creation using Draft Edit.

  • Sharp - remove constraints
  • Tangent - force adjacent control points to be tangent
  • Symmetric - force adjacent control points to be tangent and equi-distant

Limitations

  • This tool is not available before FreeCAD version 0.14
  • The Points Property does not yet appear in the properties list.
  • OpenCascade does not support Bezier Curve with degree > 25. This should not be a problem in practice.